Package com.tietoenator.trip.jxp.grid

# Class TdbGridReplicaSetMember

java.lang.Object
com.tietoenator.trip.jxp.grid.TdbGridReplicaSetMember

public class TdbGridReplicaSetMember extends Object
Container for a member of a TRIPgrid replica set, i.e. a physical database served by a physical host

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGridReplicaSetMember(TdbGridReplicaSetMember src)`
  Copy constructor
  `TdbGridReplicaSetMember(String host, String name)`
  Constructor, creates a new member

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Overrides default to define equality only if the database name and host name are equal
  `String`
  `getHost()`
  Retrieve the name of the host from which the database is published
  `String`
  `getName()`
  Retrieve the name of the database
  `void`
  `setHost(String name)`
  Establish the name of the host from which the database is published
  `void`
  `setName(String name)`
  Establish the name of the database

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGridReplicaSetMember

    public TdbGridReplicaSetMember(String host, String name)
    Constructor, creates a new member
    Parameters:
      `host` - Name of host server
      `name` - Name of database

  - ### TdbGridReplicaSetMember

    public TdbGridReplicaSetMember(TdbGridReplicaSetMember src)
    Copy constructor
    Parameters:
      `src` - Source of copy

- ## Method Details

  - ### getName

    public String getName()
    Retrieve the name of the database
    Returns:
      Database name

  - ### setName

    public void setName(String name)
    Establish the name of the database
    Parameters:
      `name` - Database name

  - ### getHost

    public String getHost()
    Retrieve the name of the host from which the database is published
    Returns:
      Host name

  - ### setHost

    public void setHost(String name)
    Establish the name of the host from which the database is published
    Parameters:
      `name` -

  - ### equals

    public boolean equals(Object o)
    Overrides default to define equality only if the database name and host name are equal
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Object to test
    Returns:
      true / false